<?php
/**
 * colorpalette Theme Options
 * These theme options will appear in the customizer section as explained by 
 * Otto in his great tutorial series
 * http://ottopress.com/2012/how-to-leverage-the-theme-customizer-in-your-own-themes/
 *
 * @package colorpalette
 * @since colorpalette 1.0
 */


/**
 * Add a menu item for the theme customizer
 *
 * @since 1.0
 */



/**
 * Theme customizer with real-time update
 * Very helpful: http://ottopress.com/2012/theme-customizer-part-deux-getting-rid-of-options-pages/
 *
 * @since 1.0
 */
function colorpalette_theme_customizer( $wp_customize ) {

    // Logo upload
    $wp_customize->add_section( 'colorpalette_logo_section' , array(
	    'title'       => __( 'Logo', 'colorpalette' ),
	    'priority'    => 30,
	    'description' => __( 'Logo', 'colorpalette' ),
	) );
	$wp_customize->add_setting( 'colorpalette_logo' );
	
	$wp_customize->add_control( new WP_Customize_Image_Control( $wp_customize, 'colorpalette_logo', array(
		'label'        => __( 'Upload logo to replace the default site name and description ( 380px wide max )', 'colorpalette' ),
		'section'    => 'colorpalette_logo_section',
		'settings'   => 'colorpalette_logo',
	) ) );
	

	$wp_customize->add_section( 'colorpalette_color_scheme_settings', array(
		'title'       => __( 'Color Scheme', 'colorpalette' ),
		'priority'    => 30,
		'description' => __( 'Color scheme', 'colorpalette' ),
	) );

	$wp_customize->add_setting( 'colorpalette_color_scheme', array(
		'default'        => 'blue',
	) );

	$wp_customize->add_control( 'colorpalette_color_scheme', array(
		'label'   => __( 'Choose a color scheme', 'colorpalette' ),
		'section' => 'colorpalette_color_scheme_settings',
		'default'        => 'blue',
		'type'       => 'radio',
		'choices'    => array(
			__( 'Blue', 'colorpalette' ) => 'blue',
			__( 'Red', 'colorpalette' ) => 'red',
			__( 'Green', 'colorpalette' ) => 'green',
			__( 'Gray', 'colorpalette' ) => 'gray',
			__( 'Brown', 'colorpalette' ) => 'brown',
			__( 'Christmas', 'colorpalette' ) => 'christmas',
		),
	));
}
add_action('customize_register', 'colorpalette_theme_customizer');

/**
 * Add CSS in <head> for styles handled by the theme customizer
 *
 * @since 1.0
 */
 
function colorpalette_add_customizer_css() { ?>
 
	<link rel="stylesheet" href="<?php echo get_template_directory_uri();?>/css/<?php echo strtolower( get_theme_mod( 'colorpalette_color_scheme', 'blue' ) ); ?>.css" type="text/css" media="screen">
 
<?php }
add_action( 'wp_head', 'colorpalette_add_customizer_css' );
