<?php
/**
 * The Footer widget areas.
 *
 * @package colorpalette
 * @since colorpalette 1.0
 */
?>

<?php
	/* The footer widget area is triggered if any of the areas
	 * have widgets. So let's check that first.
	 *
	 * If none of the sidebars have widgets, then let's bail early.
	 */
	if (   ! is_active_sidebar( 'footer-left'  )
		&& ! is_active_sidebar( 'footer-center' )
		&& ! is_active_sidebar( 'footer-right'  )
	)
		return;
	// If we get this far, we have widgets. Let do this.
?>

		<div id="footer-widget-area" role="complementary" class="clearfix">
			<div id="first" class="widget-area">
			<?php if ( is_active_sidebar( 'footer-left' ) ) : ?>
				<?php dynamic_sidebar( 'footer-left' ); ?>
			<?php endif; ?>
			</div>
			
			<div id="second" class="widget-area">
			<?php if ( is_active_sidebar( 'footer-center' ) ) : ?>
				<?php dynamic_sidebar( 'footer-center' ); ?>
			<?php endif; ?>
			</div>
			
			<div id="third" class="widget-area">
			<?php if ( is_active_sidebar( 'footer-right' ) ) : ?>
				<?php dynamic_sidebar( 'footer-right' ); ?>
			<?php endif; ?>
			</div>
		</div><!-- #footer-widget-area -->
